## fonts-atarist 0%2Bgit20230822%2Bds

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	bdf2sfd atarist-normal.bdf > atarist-normal.sfd
	sed -i 's/FontName: "Atarist"/FontName: AtariST/g' atarist-normal.sfd
	sed -i 's/FullName: "Atarist"/FullName: Atari ST/g' atarist-normal.sfd
	sed -i 's/FamilyName: "Atarist"/FamilyName: Atari/g' atarist-normal.sfd
	fontforge -lang=ff -c 'Open($$1); Generate($$2)' atarist-normal.sfd atarist-normal.otf

## fonts-atarist 0+git20230624+ds

=== debian/changelog ===
fonts-atarist (0+git20230624+ds-3) unstable; urgency=medium

  * d/control: fix Vcs field URL.

 -- Gürkan Myczko <tar@debian.org>  Tue, 25 Jul 2023 20:34:53 +0200

fonts-atarist (0+git20230624+ds-2) unstable; urgency=medium

  * d/control: add to fonts team.
  * d/rules: patch font naming.

 -- Gürkan Myczko <tar@debian.org>  Tue, 27 Jun 2023 11:35:25 +0200

fonts-atarist (0+git20230624+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1039024)

 -- Gürkan Myczko <tar@debian.org>  Tue, 30 May 2023 08:15:45 +0200

## fonts-atarist 0+git20230822+ds

=== Makefile ===
BDFS = $(wildcard *.bdf)
PCFS = $(BDFS:%.bdf=%.pcf)

all: pcfs

pcfs: $(PCFS)

$(PCFS): %.pcf: %.bdf
	bdftopcf -o $@ $^

clean:
	rm -f *.pcf

.PHONY: all clean

=== debian/changelog ===
fonts-atarist (0+git20230822+ds-6) unstable; urgency=medium

  * Really add faketime.

 -- Alex Myczko <tar@debian.org>  Tue, 27 Jan 2026 04:49:45 +0100

fonts-atarist (0+git20230822+ds-5) unstable; urgency=medium

  * d/rules: fix the build time FTBR. (Closes: #1108708)
  * d/control: add faketime to build-depends.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Mon, 26 Jan 2026 20:57:52 +0100

fonts-atarist (0+git20230822+ds-4) unstable; urgency=medium

  * Team Upload
  * Drop template for v4 d/watch
  * Drop "Rules-Requires-Root: no": it is now the default

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Nov 2025 07:43:29 +0100

fonts-atarist (0+git20230822+ds-3) unstable; urgency=medium

  * Bump standards version to 4.7.2.
  * d/fonts-atarist.metainfo.xml: added.
  * d/copyright: bump year.

 -- Alex Myczko <tar@debian.org>  Tue, 18 Nov 2025 09:42:17 +0100

fonts-atarist (0+git20230822+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Wed, 17 Jul 2024 12:12:53 +0000

fonts-atarist (0+git20230822+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 22 Aug 2023 14:20:14 +0200

=== debian/control ===
Source: fonts-atarist
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 bdf2sfd,
 faketime,
 fontforge-nox | fontforge,
Standards-Version: 4.7.2
Homepage: https://github.com/ntwk/atarist-font
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-atarist
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-atarist.git

Package: fonts-atarist
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Atari ST monochrome system font
 This is a rebranding of the high-resolution system font originally featured on
 the Atari ST home computer. It is a monospaced bitmap font available in a
 single size of 8x16 pixels.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
export SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog -STimestamp)
export PLASTIC_TIME=$(date -u -d "@$SOURCE_DATE_EPOCH" +'%Y-%m-%d %T')

%:
	dh $@

override_dh_auto_build:
	faketime "$(PLASTIC_TIME)" bdf2sfd atarist-normal.bdf > atarist-normal.sfd
	sed -i 's/FontName: "Atarist"/FontName: AtariST/g' atarist-normal.sfd
	sed -i 's/FullName: "Atarist"/FullName: Atari ST/g' atarist-normal.sfd
	sed -i 's/FamilyName: "Atarist"/FamilyName: Atari/g' atarist-normal.sfd
	fontforge -lang=ff -c 'Open($$1); Generate($$2)' atarist-normal.sfd atarist-normal.otf
